gdcm::network::TransferSyntaxSub Class Reference

TransferSyntaxSub. More...

`#include <gdcmTransferSyntaxSub.h>`

## Public Member Functions

| TransferSyntaxSub ()
const char * | GetName () const
bool | operator== (const TransferSyntaxSub &ts) const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | SetName (const char *name)
void | SetNameFromUID (UIDs::TSName tsname)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

TransferSyntaxSub.

Table 9-15 TRANSFER SYNTAX SUB-ITEM FIELDS

TODO what is the goal of :

Table 9-19 TRANSFER SYNTAX SUB-ITEM FIELDS

## Constructor & Destructor Documentation

## TransferSyntaxSub()

gdcm::network::TransferSyntaxSub::TransferSyntaxSub | ( |  | ) |

Referenced by operator==().

## Member Function Documentation

## GetName()

const char * gdcm::network::TransferSyntaxSub::GetName | ( |  | ) | const

inline

## operator==()

bool gdcm::network::TransferSyntaxSub::operator== | ( | const TransferSyntaxSub & | ts | ) | const

inline

References TransferSyntaxSub().

## Print()

void gdcm::network::TransferSyntaxSub::Print | ( | std::ostream & | os | ) | const

## Read()

std::istream & gdcm::network::TransferSyntaxSub::Read | ( | std::istream & | is | ) |

## SetName()

void gdcm::network::TransferSyntaxSub::SetName | ( | const char * | name | ) |

## SetNameFromUID()

void gdcm::network::TransferSyntaxSub::SetNameFromUID | ( | UIDs::TSName | tsname | ) |

## Size()

size_t gdcm::network::TransferSyntaxSub::Size | ( |  | ) | const

## Write()

const std::ostream & gdcm::network::TransferSyntaxSub::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmTransferSyntaxSub.h